com.google.gwt.dom.client

## Class SourceElement

- java.lang.Object
- - com.google.gwt.core.client.JavaScriptObject
  - - com.google.gwt.dom.client.Node
    - - com.google.gwt.dom.client.Element
      - - com.google.gwt.dom.client.SourceElement

-     @TagName(value="source")
      public class SourceElement
      extends Element

  The SOURCE element specifies one of potentially multiple source file in a media element.
  See Also:
    W3C HTML Specification

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TAG`

    - ### Fields inherited from class com.google.gwt.dom.client.Element

      `DRAGGABLE_AUTO, DRAGGABLE_FALSE, DRAGGABLE_TRUE`

    - ### Fields inherited from class com.google.gwt.dom.client.Node

      `DOCUMENT_NODE, ELEMENT_NODE, TEXT_NODE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SourceElement()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SourceElement` | `as(Element elem)` Assert that the given `Element` is compatible with this class and automatically typecast it.
    `java.lang.String` | `getSrc()` Returns the source URL for the media, or `null` if none is set.
    `java.lang.String` | `getType()` Returns the type of media represented by the src, or `null` if none is set.
    `static boolean` | `is(Element elem)` Determine whether the given `Element` can be cast to this class.
    `static boolean` | `is(JavaScriptObject o)` Determines whether the given `JavaScriptObject` can be cast to this class.
    `static boolean` | `is(Node node)` Determine whether the given `Node` can be cast to this class.
    `void` | `setSrc(java.lang.String url)` Sets the source URL for the media.
    `void` | `setType(java.lang.String type)` Sets the type of media represented by the src.

    - ### Methods inherited from class com.google.gwt.dom.client.Element

      `addClassName, as, as, blur, dispatchEvent, focus, getAbsoluteBottom, getAbsoluteLeft, getAbsoluteRight, getAbsoluteTop, getAttribute, getClassName, getClientHeight, getClientWidth, getDir, getDraggable, getElementsByTagName, getFirstChildElement, getId, getInnerHTML, getInnerText, getLang, getNextSiblingElement, getOffsetHeight, getOffsetLeft, getOffsetParent, getOffsetTop, getOffsetWidth, getPreviousSiblingElement, getPropertyBoolean, getPropertyDouble, getPropertyInt, getPropertyJSO, getPropertyObject, getPropertyString, getScrollHeight, getScrollLeft, getScrollTop, getScrollWidth, getString, getStyle, getTabIndex, getTagName, getTitle, hasAttribute, hasClassName, hasTagName, indexOfName, removeAttribute, removeClassName, replaceClassName, scrollIntoView, setAttribute, setClassName, setDir, setDraggable, setId, setInnerHTML, setInnerSafeHtml, setInnerText, setLang, setPropertyBoolean, setPropertyDouble, setPropertyInt, setPropertyJSO, setPropertyObject, setPropertyString, setScrollLeft, setScrollTop, setTabIndex, setTitle, toggleClassName`

    - ### Methods inherited from class com.google.gwt.dom.client.Node

      `appendChild, cloneNode, getChild, getChildCount, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentElement, getParentNode, getPreviousSibling, hasChildNodes, hasParentElement, insertAfter, insertBefore, insertFirst, isOrHasChild, removeAllChildren, removeChild, removeFromParent, replaceChild, setNodeValue`

    - ### Methods inherited from class com.google.gwt.core.client.JavaScriptObject

      `cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TAG

          public static final java.lang.String TAG

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SourceElement

          protected SourceElement()

  - ### Method Detail

    - #### as

          public static SourceElement as(Element elem)

      Assert that the given `Element` is compatible with this class and automatically typecast it.

    - #### is

          public static boolean is(JavaScriptObject o)

      Determines whether the given `JavaScriptObject` can be cast to this class. A `null` object will cause this method to return `false`.

    - #### is

          public static boolean is(Node node)

      Determine whether the given `Node` can be cast to this class. A `null` node will cause this method to return `false`.

    - #### is

          public static boolean is(Element elem)

      Determine whether the given `Element` can be cast to this class. A `null` node will cause this method to return `false`.

    - #### getSrc

          public final java.lang.String getSrc()

      Returns the source URL for the media, or `null` if none is set.
      Returns:
        a String URL or `null`
      See Also:
        `setSrc(String)`

    - #### getType

          public final java.lang.String getType()

      Returns the type of media represented by the src, or `null` if none is set.
      Returns:
        a String type, or `null`
      See Also:
        `setType(String)`

    - #### setSrc

          public final void setSrc(java.lang.String url)

      Sets the source URL for the media.
      Parameters:
        `url` - a String URL
      See Also:
        `getSrc()`

    - #### setType

          public final void setType(java.lang.String type)

      Sets the type of media represented by the src. The browser will look at the type when deciding which source files to request from the server.

      The type is the format or encoding of the media represented by the source element. For example, the type of an `AudioElement` could be one of , `AudioElement.TYPE_MP3`, or `AudioElement.TYPE_WAV`.

      You can also add the codec information to the type, giving the browser even more information about whether or not it can play the file (Example: " `audio/ogg; codec=vorbis`");

      Parameters:
        `type` - the media type
      See Also:
        `getType()`